Module | Bio::KEGG::Common::DblinksAsHash
In: | lib/bio/db/kegg/common.rb

The module providing dblinks_as_hash methods.

Bio::KEGG::* internal use only.

### Methods

dblinks_as_hash

### Public Instance methods

dblinks_as_hash()

Returns a Hash of the DB name and an Array of entry IDs in DBLINKS field.

[Source]

         # File lib/bio/db/kegg/common.rb, line 96
     96:       def dblinks_as_hash
     97:         unless defined? @dblinks_as_hash
     98:           hash = {}
     99:           dblinks_as_strings.each do |line|
    100:             db, ids = line.split(/\:\s*/, 2)
    101:             list = ids.split(/\s+/)
    102:             hash[db] = list
    103:           end
    104:           @dblinks_as_hash = hash
    105:         end
    106:         @dblinks_as_hash
    107:       end

[Validate]